--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Challenge handler: remember URL for response."
full_name: HTTPClient::BasicAuth#challenge
is_singleton: false
name: challenge
params: (uri, param_str)
visibility: public
